#!/bin/bash

if [[ "$UID" != 0 ]]; then
    echo "USER NOT ROOT"
    sudo $0
    exit
else
    echo "USER IS ROOT"
fi

cd "/root"

haveged -w 1024
pacman-key --init
pkill haveged

pacman-key --populate archlinux melawy-linux arcolinux chaotic cachyos

pacman-key --lsign-key melawy-linux
pacman-key --lsign-key arcolinux
pacman-key --lsign-key chaotic
pacman-key --lsign-key cachyos

pacman-key --recv-keys valeria@fadeeva.me --keyserver hkps://keys.openpgp.org
pacman-key --lsign-key valeria@fadeeva.me

pacman-key --recv-keys key@fadeeva.me --keyserver hkps://keys.openpgp.org
pacman-key --lsign-key key@fadeeva.me

pacman-key --updatedb

pacman -Syy
